Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share
Class TimerTask

    java.lang.Object
      oracle.ifs.share.Task
          oracle.ifs.share.TimerTask

    public class TimerTask

extends Task

A task used in conjunction with a TimerExecutor.

Constructor Summary
`TimerTask(long timerPeriod)` Constructs a TimerTask.

Method Summary
`java.lang.Object` | `call()` Performs the timing.
`void` | `handleTimerCompleted()` Handles the condition where the timer completes normally.
`void` | `handleTimerInterrupted()` Handles the condition where the timer is interrupted.
`void` | `start(Executor executor)` Submit the task for execution on the specified Executor.

Methods inherited from class oracle.ifs.share.Task
`complete, finish, get, getDefaultExecutor, getExecutor, getThrowable, getTimeoutPeriod, isDone, isFailed, markCompleted, start, timeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerTask

    public TimerTask(long timerPeriod)

  Constructs a TimerTask.

  Parameters:
    `timerPeriod` - timer period, in milliseconds

Method Detail

### start

    public final void start(Executor executor)

  Description copied from class: `TimerTask`
  Submit the task for execution on the specified Executor.

  Overrides:
    `start` in class `Task`
  Parameters:
    `executor` - the Executor on which to submit the task

### call

    public java.lang.Object call()
                          throws java.lang.Exception

  Description copied from class: `TimerTask`
  Performs the timing.

  Specified by:
    `call` in class `Task`
  Returns:
    the result of the call
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerCompleted

    public void handleTimerCompleted()

  Description copied from class: `TimerTask`
  Handles the condition where the timer completes normally.

### handleTimerInterrupted

    public void handleTimerInterrupted()

  Description copied from class: `TimerTask`
  Handles the condition where the timer is interrupted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD